
<div class="row">
  <div class="col-md-12">

    <div class="card main-card mb-3">
      <div class="card-header">
        add unit
      </div>
      
      <div class="card-body">
        <mat-form-field class="example-full-width">
          <input matInput placeholder="Station">
          <mat-select [(value)]="selected">
            <mat-option>None</mat-option>
            <mat-option value="option1">Option 1</mat-option>
            <mat-option value="option2">Option 2</mat-option>
            <mat-option value="option3">Option 3</mat-option>
          </mat-select>
        </mat-form-field>
        <p>You selected: {{selected}}</p>
        
        <mat-form-field class="example-full-width">
          <input matInput placeholder="Location">
          <mat-select [(value)]="selected">
            <mat-option>None</mat-option>
            <mat-option value="option1">Option 1</mat-option>
            <mat-option value="option2">Option 2</mat-option>
            <mat-option value="option3">Option 3</mat-option>
          </mat-select>
        </mat-form-field>
        <p>You selected: {{selected}}</p>
        
        
        <form class="example-form">
          <mat-form-field class="example-full-width">
            <input matInput placeholder="Latitude">
          </mat-form-field>
         

          <mat-form-field class="example-full-width">
            <input matInput placeholder="Longitude" value="Sushi">
          </mat-form-field>
         

          <mat-form-field class="example-full-width">
            <input matInput placeholder="MQTT IP" value="13.232.85.94">
          </mat-form-field>
         

          <mat-form-field class="example-full-width">
            <input matInput placeholder="MQTT PORT" value="1883">
          </mat-form-field>
        


          <mat-form-field class="example-full-width">
            <input matInput placeholder="MQTT TOPIC" value="CESE/">
          </mat-form-field>
         
        </form>


        <div class="card-header">
         Devices
        </div>
        <table class="table table-striped">
          <thead>
          <tr>
            <th scope="col">Device Name</th>
            <th scope="col">Device Icon</th>
            <th scope="col">Device Id</th>
            <th scope="col">No Of Cycle</th>
            <th scope="col">Make(Brand)</th>
            <th scope="col">Model</th>
            <th scope="col">Time Variation(Min)</th>
            <th scope="col">Data Variation(%)</th>
            <th scope="col">Add/Remove</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let country of countries; index as i">
            <th scope="row">{{ i + 1 }}</th>
            <td>
              <img [src]="'https://upload.wikimedia.org/wikipedia/commons/' + country.flag" class="mr-2"
                   style="width: 20px">
              {{ country.name }}
            </td>
            <td>{{ country.area | number }}</td>
            <td>{{ country.population | number }}</td>
          </tr>
          </tbody>
        </table>
      </div>
      <div class="d-block text-center card-footer">
        <button class="mr-2 btn-icon btn-icon-only btn btn-outline-danger"><i class="pe-7s-trash btn-icon-wrapper"> </i>
        </button>
        <button class="btn-wide btn btn-success">Save</button>
      </div>>
  </div>
</div>








